Anonymous Login
2019-02-21 16:08 PST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001040v3.0 Release[All Projects] Generalpublic2013-08-28 11:21
Reportersasquatch58 
Assigned Tocaseydk 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
Product Version 
Target VersionFixed in Version3.0.0 
Summary0001040: SQL errors on removal of module
DescriptionRunning latest svn version 2297 under Ubuntu 10.04LTS 64 bit.
Uninstalled Todos module & error text resulted as:

"ERROR: /opt/web2dev/classes/w2p/Database/Query.class.php(1128) : query failed(SELECT a.value AS a_value, a.name AS a_name,
                    b.value AS b_value, b.name AS b_name,
                    c.value AS c_value, c.name AS c_name,
                    d.value AS d_value, d.name AS d_name,
                    e.value AS e_value, e.name AS e_name,
                    f.value AS f_value, f.name AS f_name
                ,DISTINCT(g.aro_id) FROM ((`gacl_aco_sections` AS a,`gacl_groups_aro_map` AS g)) LEFT JOIN `gacl_aco` AS b ON a.value=b.section_value,gacl_aro_sections c LEFT JOIN `gacl_aro` AS d ON c.value=d.section_value,gacl_axo_sections e LEFT JOIN `gacl_axo` AS f ON e.value=f.section_value) - error was: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'DISTINCT(g.aro_id) FROM ((`gacl_aco_sections` AS a,`gacl_groups_aro_map` AS g)) ' at line 7
Backtrace:
0 /opt/web2dev/classes/w2p/Database/Query.class.php:1128 dprint()
1 /opt/web2dev/classes/w2p/Database/Query.class.php:1193 exec()
2 /opt/web2dev/classes/w2p/Extensions/Permissions.class.php:556 loadHashList()
3 /opt/web2dev/classes/w2p/Extensions/Permissions.class.php:1020 getUsersWithRole()
4 /opt/web2dev/classes/w2p/Extensions/Permissions.class.php:282 recalcPermissions()
5 /opt/web2dev/classes/w2p/Core/Module.class.php:106 deleteModuleItems()
6 /opt/web2dev/modules/system/domodsql.php:79 remove()
7 /opt/web2dev/index.php:277 require()
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'DISTINCT(g.aro_id) FROM ((`gacl_aco_sections` AS a,`gacl_groups_aro_map` AS g)) ' at line 7"
Using Back button on browser shows that module was removed.

Reinstalling the module gives another error page:

"Warning: array_keys() expects parameter 1 to be array, boolean given in /opt/web2dev/classes/w2p/Extensions/Permissions.class.php on line 1021 Warning: implode(): Invalid arguments passed in /opt/web2dev/classes/w2p/Extensions/Permissions.class.php on line 1021

ERROR: /opt/web2dev/classes/w2p/Database/Query.class.php(1128) : query failed(SELECT a.value AS a_value, a.name AS a_name,
                    b.value AS b_value, b.name AS b_name,
                    c.value AS c_value, c.name AS c_name,
                    d.value AS d_value, d.name AS d_name,
                    e.value AS e_value, e.name AS e_name,
                    f.value AS f_value, f.name AS f_name
                ,DISTINCT(g.aro_id) FROM ((`gacl_aco_sections` AS a,`gacl_groups_aro_map` AS g)) LEFT JOIN `gacl_aco` AS b ON a.value=b.section_value,gacl_aro_sections c LEFT JOIN `gacl_aro` AS d ON c.value=d.section_value,gacl_axo_sections e LEFT JOIN `gacl_axo` AS f ON e.value=f.section_value) - error was: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'DISTINCT(g.aro_id) FROM ((`gacl_aco_sections` AS a,`gacl_groups_aro_map` AS g)) ' at line 7
Backtrace:
0 /opt/web2dev/classes/w2p/Database/Query.class.php:1128 dprint()
1 /opt/web2dev/classes/w2p/Database/Query.class.php:1193 exec()
2 /opt/web2dev/classes/w2p/Extensions/Permissions.class.php:556 loadHashList()
3 /opt/web2dev/classes/w2p/Extensions/Permissions.class.php:1020 getUsersWithRole()
4 /opt/web2dev/classes/w2p/Extensions/Permissions.class.php:178 recalcPermissions()
5 /opt/web2dev/classes/w2p/Core/Module.class.php:65 addModuleSection()
6 /opt/web2dev/modules/system/domodsql.php:72 install()
7 /opt/web2dev/index.php:277 require()
You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near 'DISTINCT(g.aro_id) FROM ((`gacl_aco_sections` AS a,`gacl_groups_aro_map` AS g)) ' at line 7"
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0002374

caseydk (administrator)

Resolved in r2347
+Notes

-Issue History
Date Modified Username Field Change
2011-12-29 01:29 sasquatch58 New Issue
2012-01-01 23:03 caseydk Status new => assigned
2012-01-01 23:03 caseydk Assigned To => caseydk
2012-01-02 07:26 caseydk Note Added: 0002374
2012-01-02 07:26 caseydk Status assigned => resolved
2012-01-02 07:26 caseydk Resolution open => fixed
2013-08-28 11:14 caseydk Fixed in Version => 3.0.0
2013-08-28 11:21 caseydk Status resolved => closed
+Issue History